Skip to navigation

Connect Restore AWS Organizational Unit

Connects an AWS organizational unit to the given project as a restore destination. All current and future descendant AWS accounts within the organizational unit are discovered and available as restore accounts.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project you want to connect the AWS organizational unit to. You can get your project ID from the API Credentials page in your global management console.

Headers

X-Action-Approval-Request-IdstringOptionalformat: "uuid"

ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved. 

When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.

Request

This endpoint expects an object.
roleArnstringRequired
ARN of the role Eon assumes to access the organizational unit in AWS.
providerOrganizationalUnitIdstringRequired

AWS-assigned organizational unit ID.

Response

AWS organizational unit connected.
organizationalUnitobject
The connected AWS organizational unit.

Errors

409
Conflict Error